Bug 171976 - pcspkr beep causes machine check on g5
pcspkr beep causes machine check on g5
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-28 11:26 EDT by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-01 02:14:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2005-10-28 11:26:59 EDT
Loading the pcspkr module and doing something which causes a beep (ctrl-g on the
console, anaconda beeping to say the install is done... ;) leads to a machine
check on my G5 with 2.6.14-1.1632_FC5
Comment 1 Dan Carpenter 2005-10-29 02:21:45 EDT
You mean like a "Machine Check Exception?"

Is there anyway you could run mcelog and paste the output?
Comment 2 Dave Jones 2005-11-04 16:22:33 EST
ppc64 mce's aren't parsed by mcelog.

at a guess pcspkr is poking some port that doesnt exist on ppc
Comment 3 Dave Jones 2005-12-01 02:14:51 EST
pcspkr got disabled in current ppc kernels.

Note You need to log in before you can comment on or make changes to this bug.